//see mathworld http://mathworld.wolfram.com/Cardioid.html

void cardioid(float x0, float y0, float a){
     smooth();
     beginShape();
     stroke(255,0,0);
     strokeWeight(1);
     fill(200,0,0);
     for (float theta=0; theta <= 2*PI; theta+=.1){
          float r = a * (1 - cos(theta));
          vertex(x0 + r*sin(theta),y0 - r*cos(theta) - 2*a);
     }
     endShape();
}